/// <reference types="react" />
import type { InputProps } from "./input";
export interface BinaryInputProps extends Omit<InputProps, "onChange"> {
    value?: number;
    defaultValue?: number;
    bits?: number;
    max?: number;
    onChange?: (value: number) => void;
    onOpen?: () => void;
    onClose?: () => void;
}
export declare const BinaryInput: import("react").ForwardRefExoticComponent<BinaryInputProps & import("react").RefAttributes<HTMLInputElement>>;
