import type * as CSS from "csstype";
import type { ResponsiveValue } from "styled-system";
import type { BoxProps } from "./box";
export interface FlexProps extends BoxProps {
    inline?: boolean;
    align?: ResponsiveValue<CSS.Property.AlignItems>;
    basis?: ResponsiveValue<CSS.Property.FlexBasis>;
    direction?: ResponsiveValue<CSS.Property.FlexDirection>;
    grow?: ResponsiveValue<CSS.Property.FlexGrow>;
    justify?: ResponsiveValue<CSS.Property.JustifyContent>;
    shrink?: ResponsiveValue<CSS.Property.FlexShrink>;
    wrap?: ResponsiveValue<CSS.Property.FlexWrap>;
}
export declare const Flex: import("styled-components").StyledComponent<"div", any, BoxProps & FlexProps, never>;
