/// <reference types="react" />
import type { BoxProps } from "./box";
export interface ImageProps extends Omit<React.ImgHTMLAttributes<HTMLImageElement>, "width" | "height" | "color">, BoxProps {
    pixelated?: boolean;
    onLoad?: React.ReactEventHandler<HTMLImageElement>;
    onError?: React.ReactEventHandler<HTMLImageElement>;
}
export declare const Image: import("styled-components").StyledComponent<"div", any, BoxProps & ImageProps, never>;
