/// <reference types="react" />
import type * as CSS from "csstype";
import * as ScrollAreaPrimitive from "@radix-ui/react-scroll-area";
import type { BoxProps } from "./box";
type ScrollAreaPrimitiveProps = React.ComponentProps<typeof ScrollAreaPrimitive.Root>;
export interface ScrollBoxProps extends BoxProps {
    type?: ScrollAreaPrimitiveProps["type"];
    scrollHideDelay?: ScrollAreaPrimitiveProps["scrollHideDelay"];
    overScroll?: CSS.Property.OverscrollBehavior;
}
export declare const ScrollBox: import("react").ForwardRefExoticComponent<ScrollBoxProps & import("react").RefAttributes<HTMLDivElement>>;
export {};
