/// <reference types="react" />
import type { LayoutProps, SpaceProps } from "styled-system";
export interface SpinnerProps extends React.HTMLAttributes<HTMLDivElement>, LayoutProps, SpaceProps {
    label?: string;
    thickness?: string;
    children?: React.ReactNode;
}
export declare const Spinner: import("react").ForwardRefExoticComponent<SpinnerProps & import("react").RefAttributes<HTMLDivElement>>;
